package cn.estsh.i3plus.ext.mes.pcn.api.busi;

import cn.estsh.i3plus.ext.mes.pcn.pojo.model.MesProduceSnPrintModel;
import cn.estsh.i3plus.pojo.mes.bean.MesPrintQueue;
import cn.estsh.i3plus.pojo.mes.bean.MesProduceSn;
import cn.estsh.i3plus.pojo.mes.bean.MesProductionAssembly;
import cn.estsh.i3plus.pojo.mes.bean.MesWorkOrderCut;
import io.swagger.annotations.ApiOperation;

import java.util.List;

public interface IMesProduceSnPrintService {

    @ApiOperation(value = "查询包装信息")
    MesProduceSnPrintModel findMesPackingDefine(MesProduceSnPrintModel mesProduceSnPrintModel);

    @ApiOperation(value = "查询条码信息")
    MesProduceSn findMesProduceSn(MesProduceSnPrintModel mesProduceSnPrintModel);

    @ApiOperation(value = "打印")
    MesProduceSnPrintModel doPrint(MesProduceSnPrintModel mesProduceSnPrintModel);

    @ApiOperation(value = "装配件查询")
    List<MesProductionAssembly> findMesProductionAssembly(MesProductionAssembly mesProductionAssembly);

    @ApiOperation(value = "裁片工单查询")
    List<MesWorkOrderCut> findMesWorkOrderCut(MesWorkOrderCut workOrderCut);

    @ApiOperation(value = "打印队列查询")
    List<MesPrintQueue> findMesPrintQueueList(MesPrintQueue printQueue);

    @ApiOperation(value = "根据包装条码补打印包装条码标签")
    MesProduceSnPrintModel doRePrintPackByPackageNo(MesProduceSnPrintModel mesProduceSnPrintModel);
}
